﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Shared;

namespace SkinSample_119772
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ComboBox1_OnLoaded(object sender, RoutedEventArgs e)
        {
            (sender as ComboBox).ItemsSource = Enum.GetNames(typeof (Skin));
            (sender as ComboBox).SelectedIndex = 13;
        }

        private void ComboBox1_OnSelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            this.SetValue(SkinStorage.VisualStyleProperty,(sender as ComboBox).SelectedItem);
            string stylekey = (sender as ComboBox).SelectedItem.ToString() + "Button";
            this.MyButton.Style = RootGrid.TryFindResource(stylekey) as Style;
            this.MyButton.Content = (sender as ComboBox).SelectedItem.ToString();
        }
    }
}
